
double V; double pv; int etat ; int oldEtat ;
const int WAIT = 2;  
const int START = 1; const int STOP = 0; const int BP = 2; //Les états possibles de l’automate

void setup(){   
    pinMode(2,INPUT); //initialisation des variables
    V = 50;
    oldEtat = LOW ;
    etat = WAIT; 
    pinMode(BP, INPUT ) ;  //config E/S
    Serial.begin (9600) ;  //liaison série 
    Serial.print("Ajuster le volume sur V="); Serial.print(V,0);Serial.print("mL"); 
    Serial.println(" et appuyer sur le bouton");
}
void loop(){   
    int etatBP = digitalRead (BP) ; // Lecture du bouton
    if( oldEtat == LOW && etatBP == HIGH ) { //gestion des états
      if ( etat == WAIT)
      {etat = START;}
      else if ( etat == STOP)
      {etat = START;}
      else if ( etat == START)
      {etat = STOP;}
    }
    if( etat == START) {
    float Vmes =(analogRead(0)*5.000)/1023;
    float pression= 101.325 + (Vmes - 0.1711)/0.00900;
    pv = (pression) * ((V) + (3));
    Serial.print(pression); Serial.print("kPa"); Serial.print("\t"); Serial.print(V);
    Serial.print("mL"); Serial.print("\t"); Serial.print(pv,0); Serial.println("kPa.mL");
    V = (V) - (5);
    Serial.print("Ajuster le volume sur V="); Serial.print(V,0);Serial.print("mL"); 
    Serial.println(" et appuyer sur le bouton");
    etat = WAIT;
    }
    oldEtat = etatBP;
    delay (100);
}
