// Déclaration des variables globales : broches
int trigger = 4;
int echo = 5;
int vitson = 342;
void setup ( ) {
pinMode(trigger, OUTPUT) ; // Configuration des broches
digitalWrite(trigger, LOW) ; // La broche TRIGGER doit être à LOW au repos
pinMode(echo, INPUT) ; // La broche ECHO en entrée
Serial.begin (9600) ; // Démarrage de la liaison série
}

void loop ( ) {

digitalWrite(trigger,HIGH) ; // Lance une mesure de distance en envoyant
delayMicroseconds (10) ; // Une impulsion HIGH de 10 microsecondes
digitalWrite(trigger,LOW) ; // Fin d’émission
int temps = pulseIn(echo, HIGH) ; // Mesure temps émission-reception
Serial.print(temps);

float distance = 0.0000010*vitson*temps*100/2; // calcul de la distance 0.0000010 pour ramener le temps en seconde
Serial.print("\t");
Serial.print(distance,1);
Serial.println(" cm");
delay(500) ;
}
